Bug 67999 - konsole transmits junk characters after $+CR
konsole transmits junk characters after $+CR
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-05 01:00 EDT by Need Real Name
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 14:10:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-05 01:00:43 EDT
Description of Problem:

I have evidence from two rather different circumstances that seems to 
indicate that konsole (sometimes) transmits extraneous characters to 
programs when the user types a dollar sign ($) followed by a hitting the 
"Enter" key.  I see no such behavior from xterm.

First scenario - I type a command like "cat !$" at the tcsh prompt (I 
believe I have seen this with bash too, but I don't use it much) in konsole 
and hit "Enter."  Rather than executing the command as it should, the icon 
for this shell within konsole turns into a little bell and my computer 
beeps, as if I typed something it objected to.  This only happens 
occasionally, maybe 5-20% of the time, but enough to be annoying as hell.  
Hitting "Enter" a second time results in the command being executed as 
expected.

Second scenario - I ssh from my Red Hat 7.3 machine into my webserver over 
a dial-up connection.  The webserver is running FreeBSD 4.3.  I attempt to 
vi any file, type ":$" followed by "Enter" to move to the end of the file.  
Rather than putting my cursor at the end of the file as it should, it 
inserts a new line before the last line in the file, inserts an "M" on that 
line, and places my cursor after the "M" while in insert mode.  i.e. it is 
as if instead of seeing ":$<CR>" it is seeing ":$<CR>OM".  This happens 
almost 100% of the time, and is even more annoying than the first scenario. 
 This does not happen with xterm, only with konsole.  This did not happen 
with KDE 1.2, just KDE 3.0.  Just to follow up on this a bit, I did "cat 
>test" then typed ":$<CR><CR><CTRL-D>" and then typed "od -c test" and here 
is what I get: 
0000000    :   $ 033   O   M  \n
0000006
Note the extraneous "033 O M".  This little cat test only seems to show the 
problem if I type ":$<CR>" pretty quickly after entering "cat >test".

Version-Release number of selected component (if applicable):


How Reproducible:
highly (depending upon failure scenario)


Steps to Reproduce:
1. see above
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Do bug reports like this ever make it into the hands of someone who can do 
something about them, or does someone at Red Hat just go "Oh, that's a KDE 
problem, not our fault" and send it into the bit bucket?
Comment 1 Petr Rockai 2006-07-17 14:32:47 EDT
This bug is reported against old release of Red Hat Linux or Fedora Core 
that is no longer supported. Chances are that it has been already fixed in 
newer Fedora Core release. If you still experience the problem with 
current release of Fedora Core, please update the Version field (you may 
need to switch Product to Fedora Core first) in the bug report and put it 
back to NEW state.
Comment 2 Bill Nottingham 2006-10-18 14:10:14 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.